Enable/disable UID led/lamp/light via BMC
Assignee:    

Category: BMC   

Target version:    
Pull request:    

Description

Blade/micro servers are often located within a cabinet only by the UID light.  It would be very convient to be able to enable/disable a

host's UID lights via the foreman UI.  In particular, it would be great if this could be done on multiple hosts at once.

IPMI allows identity lights to be turned on unconditionally or for a time period.  It would be nice if a default value could be set or if the

default was not "infinity" but there was a drop down button to allow that value.  This would be most useful if multiple hosts could be

selected and identified at once.

Unfortunately, there's not a standard ipmi command to determine the current UID light status.  Some BMCs expose it as an sdr and

others require an oem command.  Checking the uid status would be useful but isn't a reason to hold up basic enable/disable

functionality.  If the proxy was extended to allow a bmc "type" to be passed, per vendor bmc plugins could be developed to handle

uid status checking along with other functions.

Related issues:

Has duplicate Foreman - Feature #15884: Foreman API: smart proxy, identify ac... Duplicate 07/28/2016

History

#1 - 11/27/2014 04:37 AM - Dominic Cleal

- Category set to BMC

#2 - 01/09/2015 12:41 PM - Daniel Lobato Garcia

https://github.com/theforeman/smart-proxy/blob/develop/modules/bmc/bmc_api.rb#L196 does this, although it's not used by Foreman, we use the

SmartProxy BMC extensively there, so it should be relatively simple to implement.

#3 - 02/06/2015 12:51 PM - Corey Osman

i wonder if we could just make a plugin to use some of the other BMC capability that the smart-proxy has.  Then we could inlay some buttons on the

host to make the lights go on/off.

#4 - 07/28/2016 09:43 AM - Dominic Cleal

- Has duplicate Feature #15884: Foreman API: smart proxy, identify action added

#5 - 08/05/2016 09:21 AM - Nacho Barrientos

Hi,

We (CERN IT) wouldn't actually care if it was not possible to see/query the current state of the LED if that's harder to implement as it's

BMC-dependant. We'd be happy for the moment to just have a Foreman API entrypoint to turn the LED on and off :)
